package org.fouram.core.plugin.weixin.cp.util;

import org.fouram.core.plugin.weixin.cp.core.WXCpMessage;
import org.fouram.core.util.LoggerUtil;

import me.chanjar.weixin.common.api.WxConsts.KefuMsgType;
import me.chanjar.weixin.common.error.WxErrorException;
import me.chanjar.weixin.cp.bean.WxCpMessage;
import me.chanjar.weixin.cp.bean.WxCpMessageSendResult;

/**
 * 企业微信用户工具类
 * 
 * @author Liup
 */
public class WXCpMessageUtil {

	public static void send(String content, String toUser) throws WxErrorException {
		try {
			WxCpMessage message = new WxCpMessage();
			message.setToUser(toUser);
			message.setMsgType(KefuMsgType.TEXT);
			message.setContent(content);
			WxCpMessageSendResult sendResult = WXCpMessage.service.messageSend(message);
			LoggerUtil.info(sendResult.toString());
		} catch (WxErrorException e) {
			LoggerUtil.error(e);
		}
	}

	public static void main(String[] args) throws WxErrorException {
		send("test\njjjjjj\n<a href=\"http://www.baidu.com\">百度一下</a>", "1000001");
	}
}
